Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1268054 - texlive.macros borked
Summary: texlive.macros borked
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: texlive
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-01 17:05 UTC by Rex Dieter
Modified: 2015-10-13 17:02 UTC (History)
3 users (show)

Fixed In Version: texlive-2014-14.20140525_r34255.fc23 texlive-2014-11.20140525_r34255.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-04 19:14:16 UTC
Type: Bug


Attachments (Terms of Use)

Description Rex Dieter 2015-10-01 17:05:16 UTC
$ rpm -q -f /usr/lib/rpm/macros.d/macros.texlive 
texlive-base-2014-13.20140525_r34255.fc23.noarch

$ cat /usr/lib/rpm/macros.d/macros.texlive | head
#!/bin/sh
#
# This script creates texlive.spec from generated specs by tl2rpm
# and generates local testing repository from built packages.
# Written by Jindrich Novy (novyjindrich).
#
gcc tl2rpm.c -o tl2rpm -O2 -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=native -march=native
[ "$?" != "0" ] && exit 1
rm -f _mkdirs.spec _unpack.spec _sources.spec _remove.spec _packages.spec _font.spec _files.spec _dirs.spec
touch _mkdirs.spec


Looks like this is to blame, texlive.spec snippet:
...
Source9: b_one_srpm
Source10: macros.texlive
...
# create macro file for building texlive
mkdir -p %{buildroot}%{macrosdir}
cp -a %{SOURCE9} %{buildroot}%{macrosdir}/macros.texlive


Looks like the wrong source file is getting installed as macros.texlive

Comment 1 Fedora Update System 2015-10-02 02:53:53 UTC
texlive-2014-11.20140525_r34255.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-583aa38cf3

Comment 2 Fedora Update System 2015-10-02 02:53:53 UTC
texlive-2014-14.20140525_r34255.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-5ab93deea4

Comment 3 Fedora Update System 2015-10-04 01:36:34 UTC
texlive-2014-11.20140525_r34255.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update texlive'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-583aa38cf3

Comment 4 Fedora Update System 2015-10-04 01:52:39 UTC
texlive-2014-14.20140525_r34255.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update texlive'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-5ab93deea4

Comment 5 Fedora Update System 2015-10-04 19:14:12 UTC
texlive-2014-14.20140525_r34255.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2015-10-13 17:02:28 UTC
texlive-2014-11.20140525_r34255.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.